package com.bjsxt.dao.impl;

import com.bjsxt.commons.JdbcUtils;
import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

//用户登录时数据库查询
public class UserLoginDaoImpl implements UserLoginDao {//接口实现类
    @Override//抽象方法做实现
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        Users user = null;
        //用JDBC做查询
        Connection conn = null;
        try{
            conn = JdbcUtils.getConnection();
            PreparedStatement ps = conn.prepareStatement("select * from users where username = ? and userpwd = ?");
            //?是占位符
            ps.setString(1,username);//第一个位置绑定用户名
            ps.setString(2,userpwd);//第二个位置绑定密码
            ResultSet resultSet = ps.executeQuery();//执行数据库查询
            while (resultSet.next()){//.next()有就为true
                user = new Users();//新建一个对象
                //根据查到的resultset结果，把对象属性添加到user对象中
                user.setUsersex(resultSet.getString("usersex"));
                user.setPhonenumber(resultSet.getString("phonenumber"));
                user.setQqnumber(resultSet.getString("qqnumber"));
                user.setUserid(resultSet.getInt("userid"));
                user.setUserpwd(resultSet.getString("userpwd"));
                user.setUsername(resultSet.getString("username"));
            }
        }catch (Exception e){
            e.printStackTrace();
        }finally {

        }
        return user;
    }
}
