package com.bjsxt.service.Impl;

import com.bjsxt.dao.UserLoginDao;
import com.bjsxt.dao.impl.UserLoginDaoImpl;
import com.bjsxt.exception.UserNotFoundException;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserLoginService;
//用户登录接口实现类
public class UserLoginServiceImpl implements UserLoginService {
    @Override//抽象方法做实现
    public Users userLogin(String username, String userpwd) {//接口实现类
        //创建持久层对象，实现用户密码查询
        UserLoginDao userLoginDao = new UserLoginDaoImpl();
        //把账号秘密传过去查询，返回users
        Users users = userLoginDao.selectUsersByUserNameAndUserPwd(username, userpwd);
        //通过判断查到的是否为空来判定是否有此用户
        if(users==null){
            //如果用户没有找到，用自定义异常方式通知用户
            throw new UserNotFoundException("用户名或密码有误");
        }
        return users;
    }
}
